Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

FL-360: FL-373: add mesa-9.0.2 and gentoo updates to ebuild. Remove x…

…a use flag from X mix-in (to avoid a recompile). mesa is masked for testing.
  • Loading branch information...
commit 8cc57fa20055d2832220b4f2f3689620466cb875 1 parent f5463f2
@danielrobbins danielrobbins authored
View
10 media-libs/mesa/Manifest
@@ -1,11 +1,3 @@
-DIST MesaLib-7.10.3.tar.bz2 6056837 SHA256 1e701fc839b872677ddca9ed8784d754c9da1fbeda98173980e06aa7df0e85c0 SHA512 aa1f5f068b305fae5519e11cad2db9c6dc647d3122252bbcb210f13ac6ef1b667ae750344898bca7c5bfae94934db05eff915cb7417a59590e6d3ba230817aa8 WHIRLPOOL 5c2adda647936ed4163a4e4d5afad8344eb576712f9432f697aa0fc22ca17d7aaf0aeb6ad2d4e7e0825dc27cae570660332450778f8091e9b27aad2865c9b5fc
-DIST MesaLib-7.11.2.tar.bz2 6257280 SHA256 57746aa8c60bc6f5596ec6c6c7274de40fa12edce5ec33fe899e704fa00b5357 SHA512 f9f93aeb5ba3e4f0cdd7041a7bba6cd18dd8f58446b796849f43c6037297011df826017c32e03f03c8527d4afd3b9096e9ae3cbfb3c86b4ad145c66867198c21 WHIRLPOOL 0cf1b328b95e4f09e549c8adb2f6dc67e36c48ef570c1a5fda73efad54b8327cbec896d67bd01838be8bba7274f32704feca3fde8bb68bf1141563d17e8be707
-DIST MesaLib-7.11.tar.bz2 6559702 SHA256 f8bf37a00882840a3e3d327576bc26a79ae7f4e18fe1f7d5f17a5b1c80dd7acf SHA512 ba33d56b3e163eee896ac0036a4cd5209dfed3fa6bf6d47fd6f3b32b58d55417dc3ac50228909bee46bf0a4900565a86b46431ca89379f072212b025792a9acc WHIRLPOOL 3b81183d87ca1dda202655b3b6f0d699de5447a653d1e35cb89a5f5db0e6fa00a805cb018245b64510090b524b7c0a12f76f0fddd61e64e5caff3f61919bd369
-DIST MesaLib-8.0.3.tar.bz2 5737289 SHA256 96812c59b0923314914185a2b064eb5245f1228a319c4db94835ce1c84da407f SHA512 915e662f31a0c28c9336537463577f01ed24ef9cd0bc439c946d5a49f52836c98544f470c0f77a35d215ed28b91e238ec57b9601cfc2672b6d7744f92336855a WHIRLPOOL e55f90255b8998dbc1984c270f0198874adc6396b0df816044bc4b4c60938d7f8ebc6fbf634efadcb733aabf48cdea2768a87d88242fd48c98ae757cd7507e11
-DIST MesaLib-8.0.4.tar.bz2 5737052 SHA256 02ed19f4f5f6535dda03a9932a81438aa78ea723ebba1f39a3d49a70a4e1d07e SHA512 b7e8879e92252d0588d9eeeed904fd502ce1f48551b9a97f52aeb1318c79a80fab27504521107d61fbb5d986b2d778d89023a892baf9f1c5a5d2ee3746fefa57 WHIRLPOOL 5371a13e93e2d43264e2580e1e5e28ed85b6bfbdda9dd89104b1c18e62d35417e20b0ed8f13d8c54f58b83875fac9348d57f14ba08e4a88599e5fc0202502173
DIST MesaLib-9.0.1.tar.bz2 6115959 SHA256 57a7ba83bace3f3a7dc0929fe026ef5f0ad454234ec4ad8a3e0d31650a75db6f SHA512 0f074eadffe3d6cddc4b402d259df9bac2d1147093d77d35bd66a9e1f0cf4569c80f03e0c98d55c9b5924d81bcef535f21b458064bb65f626c08e5265fb820b9 WHIRLPOOL a9e589836f9165e945d9b0fc636b74f2e497c6e198afc9d14a69b1fe181b49f2655ae06340692dbfb749c1570ef19e58ee2d63558d632e1eaed09d7562e4c71a
+DIST MesaLib-9.0.2.tar.bz2 6132857 SHA256 75bf31f26c6e7b5515e610c1005fd1be1f7eeb2c9e6859848dab879c355ad64e SHA512 1f04562c04a87a2c761a2ccb729f2aa228b19a0044d3c56e7da08382143331843cc98aee226558c045dc275ca7f14d7754dfe19b633ca1463bc3f30fac01e9cc WHIRLPOOL d947dc3edf14a989883a74103f17e0ede1b27ea9686b9ad6510cb40b7e131ff293e8c409ff5c6f450a61e03f2bc7de5428adc2e6d6791ddb4a9bc10b86cb5472
DIST MesaLib-9.0.tar.bz2 5850477 SHA256 0b7d206a2721d1c843f3decb71e10f86941cb4ddfd4c8a48cee75e7f0aabc3b5 SHA512 878dc8e3f87aa4ad8d96599a87c733c15b725251c797cdfa6d03fee3c2959fd81a07ac7363e7a8946cf597303398aa581356b46827e7ffa27b33971d39bd29a2 WHIRLPOOL 7591780bb1beeac79ce4a8a18f78e4767a5ce23fadbac89558881511caa3eb1dca69b75d3beffd57bc81b05a80e9e980d8c1b453b2dba0e4ce2f47e08faab628
-DIST mesa-7.10.1-gentoo-patches-01.tar.bz2 5488 SHA256 31cd4f6d1a0a70249c40452919074856d120cd473a01a8457e3dc147a1b622d8 SHA512 c62b45b32e396e67f629003fc5242b7b4df054b8e20b5237489212bc4f0171534915a02fc9efa68965068121d10660b5cd92a419efabe33fd4596a97a39249c2 WHIRLPOOL 5f171959e3a31f5c38438b4806ce371bb8fdf1c7a87501865e4ed5d5ab284cda9568b7773005997d7a1cff151f95e64c027b36c0be48a4dd288a7ab8b5f69b97
-DIST mesa-7.11.2-gentoo-patches-01.tar.bz2 4021 SHA256 e1e29d335f7e0c69824041a92b1815cd4e2defa4689285c86ea59d47a7ef407b SHA512 0dcd60bd40efa25c9895150b6c0230e6582ff42ba0bafae49290e170948ee99ff25be321e7d3d503b3f465eeedcd145fc46b312a54d9bc4d3577fd5e61c3439b WHIRLPOOL 8a4a5c250430ebc08d7081158c6cc41ea7b5718662ef0327e5829c2f26069be0bed7a0df12c82434c58d364926404c929ca9881847554b74906db195b12d6576
-DIST mesa-8.0.3-gentoo-patches-02.tar.bz2 1858 SHA256 554e2f49ff4e33b4eb64c50d010f3be4ae302ab01af2794feff2ea73c0eb7104 SHA512 efe7212fed36143096b6eab0f99558361723023a99e6e37e2ca047fa18168c1d85ef614b5bcc55d259fa30d5468c322e7c1ecce28e5b28dc1585ee7badbd5ac4 WHIRLPOOL 3fda1876bbedcba2533176a931c8300681e34bc9b5555a53cef218f2db431a18ddb1d11a3bfd7497106107932c85ded40178e8a2dc5b9ccd03fb452b061028b5
-DIST mesa-8.0.4-gentoo-patches-01.tar.bz2 2380 SHA256 bad7443e7163b87b3c14f8f56568551300fe190f58531fdba4fdabd36c2db842 SHA512 855834bc13decb46ab0b81e75002d873d2f40f67c9b1770b2d33e892beffffb32c229db71df72bea24d74ec515a0890a89dc9221cb22bba59c50182c654be676 WHIRLPOOL c78b4fe32d6b3246c7dffa2b7b9c216e13323ece677129618b2333d620f81777e8a23f13c956f88cd3aa0ae790d0a102d4f1c1e96c9ca5a13b3583a14cb2288b
View
39 media-libs/mesa/files/eselect-mesa.conf.7.10
@@ -1,39 +0,0 @@
-# mesa classic/gallium implementations in this release
-
-# Syntax description:
-# * MESA_IMPLEMENTATIONS contains a space-delimited list of switchable
-# classic/gallium implementations.
-# * MESA_DRIVERS is an associative array, for each member "foo" of
-# MESA_IMPLEMENTATIONS it contains the following elements:
-# foo,description - Human-readable description of the driver
-# foo,classicdriver - Filename of the classic driver
-# foo,galliumdriver - Filename of the gallium driver
-# foo,default - which of classic or gallium is chosen by default
-
-MESA_IMPLEMENTATIONS="i915 i965 r300 r600 sw"
-declare -A MESA_DRIVERS || die "MESA_DRIVERS already in environment and not associative."
-
-MESA_DRIVERS[i915,description]="i915 (Intel 915, 945)"
-MESA_DRIVERS[i915,classicdriver]="i915_dri.so"
-MESA_DRIVERS[i915,galliumdriver]="i915g_dri.so"
-MESA_DRIVERS[i915,default]="classic"
-
-MESA_DRIVERS[i965,description]="i965 (Intel 965, G/Q3x, G/Q4x)"
-MESA_DRIVERS[i965,classicdriver]="i965_dri.so"
-MESA_DRIVERS[i965,galliumdriver]="i965g_dri.so"
-MESA_DRIVERS[i965,default]="classic"
-
-MESA_DRIVERS[r300,description]="r300 (Radeon R300-R500)"
-MESA_DRIVERS[r300,classicdriver]="r300_dri.so"
-MESA_DRIVERS[r300,galliumdriver]="r300g_dri.so"
-MESA_DRIVERS[r300,default]="gallium"
-
-MESA_DRIVERS[r600,description]="r600 (Radeon R600-R700, Evergreen, Northern Islands)"
-MESA_DRIVERS[r600,classicdriver]="r600_dri.so"
-MESA_DRIVERS[r600,galliumdriver]="r600g_dri.so"
-MESA_DRIVERS[r600,default]="classic"
-
-MESA_DRIVERS[sw,description]="sw (Software renderer)"
-MESA_DRIVERS[sw,classicdriver]="swrast_dri.so"
-MESA_DRIVERS[sw,galliumdriver]="swrastg_dri.so"
-MESA_DRIVERS[sw,default]="gallium"
View
39 media-libs/mesa/files/eselect-mesa.conf.7.11
@@ -1,39 +0,0 @@
-# mesa classic/gallium implementations in this release
-
-# Syntax description:
-# * MESA_IMPLEMENTATIONS contains a space-delimited list of switchable
-# classic/gallium implementations.
-# * MESA_DRIVERS is an associative array, for each member "foo" of
-# MESA_IMPLEMENTATIONS it contains the following elements:
-# foo,description - Human-readable description of the driver
-# foo,classicdriver - Filename of the classic driver
-# foo,galliumdriver - Filename of the gallium driver
-# foo,default - which of classic or gallium is chosen by default
-
-MESA_IMPLEMENTATIONS="i915 i965 r300 r600 sw"
-declare -A MESA_DRIVERS || die "MESA_DRIVERS already in environment and not associative."
-
-MESA_DRIVERS[i915,description]="i915 (Intel 915, 945)"
-MESA_DRIVERS[i915,classicdriver]="i915_dri.so"
-MESA_DRIVERS[i915,galliumdriver]="i915g_dri.so"
-MESA_DRIVERS[i915,default]="classic"
-
-MESA_DRIVERS[i965,description]="i965 (Intel 965, G/Q3x, G/Q4x)"
-MESA_DRIVERS[i965,classicdriver]="i965_dri.so"
-MESA_DRIVERS[i965,galliumdriver]="i965g_dri.so"
-MESA_DRIVERS[i965,default]="classic"
-
-MESA_DRIVERS[r300,description]="r300 (Radeon R300-R500)"
-MESA_DRIVERS[r300,classicdriver]="r300_dri.so"
-MESA_DRIVERS[r300,galliumdriver]="r300g_dri.so"
-MESA_DRIVERS[r300,default]="gallium"
-
-MESA_DRIVERS[r600,description]="r600 (Radeon R600-R700, Evergreen, Northern Islands)"
-MESA_DRIVERS[r600,classicdriver]="r600_dri.so"
-MESA_DRIVERS[r600,galliumdriver]="r600g_dri.so"
-MESA_DRIVERS[r600,default]="gallium"
-
-MESA_DRIVERS[sw,description]="sw (Software renderer)"
-MESA_DRIVERS[sw,classicdriver]="swrast_dri.so"
-MESA_DRIVERS[sw,galliumdriver]="swrastg_dri.so"
-MESA_DRIVERS[sw,default]="gallium"
View
38 media-libs/mesa/files/eselect-mesa.conf.8.0.1
@@ -1,38 +0,0 @@
-# mesa classic/gallium implementations in this release
-
-# Syntax description:
-# * MESA_IMPLEMENTATIONS contains a space-delimited list of switchable
-# classic/gallium implementations.
-# * MESA_DRIVERS is an associative array, for each member "foo" of
-# MESA_IMPLEMENTATIONS it contains the following elements:
-# foo,description - Human-readable description of the driver
-# foo,classicdriver - Filename of the classic driver
-# foo,galliumdriver - Filename of the gallium driver
-# foo,default - which of classic or gallium is chosen by default
-
-MESA_IMPLEMENTATIONS="i915 i965 r300 r600 sw"
-declare -A MESA_DRIVERS || die "MESA_DRIVERS already in environment and not associative."
-
-MESA_DRIVERS[i915,description]="i915 (Intel 915, 945)"
-MESA_DRIVERS[i915,classicdriver]="i915_dri.so"
-MESA_DRIVERS[i915,galliumdriver]="i915g_dri.so"
-MESA_DRIVERS[i915,default]="gallium"
-
-MESA_DRIVERS[i965,description]="i965 (Intel 965, G/Q3x, G/Q4x)"
-MESA_DRIVERS[i965,classicdriver]="i965_dri.so"
-MESA_DRIVERS[i965,default]="classic"
-
-MESA_DRIVERS[r300,description]="r300 (Radeon R300-R500)"
-MESA_DRIVERS[r300,classicdriver]="r300_dri.so"
-MESA_DRIVERS[r300,galliumdriver]="r300g_dri.so"
-MESA_DRIVERS[r300,default]="gallium"
-
-MESA_DRIVERS[r600,description]="r600 (Radeon R600-R700, Evergreen, Northern Islands)"
-MESA_DRIVERS[r600,classicdriver]="r600_dri.so"
-MESA_DRIVERS[r600,galliumdriver]="r600g_dri.so"
-MESA_DRIVERS[r600,default]="gallium"
-
-MESA_DRIVERS[sw,description]="sw (Software renderer)"
-MESA_DRIVERS[sw,classicdriver]="swrast_dri.so"
-MESA_DRIVERS[sw,galliumdriver]="swrastg_dri.so"
-MESA_DRIVERS[sw,default]="gallium"
View
27 media-libs/mesa/files/mesa-8.0-dont-require-llvm-for-r300.patch
@@ -1,27 +0,0 @@
-diff --git a/configure.ac b/configure.ac
-index 846b623..fbd05c1 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -1839,14 +1839,6 @@ gallium_check_st() {
- fi
- }
-
--gallium_require_llvm() {
-- if test "x$MESA_LLVM" = x0; then
-- case "$host_cpu" in
-- i*86|x86_64) AC_MSG_ERROR([LLVM is required to build $1 on x86 and x86_64]);;
-- esac
-- fi
--}
--
- dnl Gallium drivers
- dnl Duplicates in GALLIUM_DRIVERS_DIRS are removed by sorting it after this block
- if test "x$with_gallium_drivers" != x; then
-@@ -1868,7 +1860,6 @@ if test "x$with_gallium_drivers" != x; then
- gallium_check_st "i915/drm" "dri-i915" "xorg-i915"
- ;;
- xr300)
-- gallium_require_llvm "Gallium R300"
- GALLIUM_DRIVERS_DIRS="$GALLIUM_DRIVERS_DIRS r300"
- gallium_check_st "radeon/drm" "dri-r300" "xorg-r300" "" "xvmc-r300" "vdpau-r300" "va-r300"
- ;;
View
13 media-libs/mesa/files/mesa-8.0.4-configure-bsd.patch
@@ -1,13 +0,0 @@
-diff --git a/configure.ac b/configure.ac
-index fbaa376..a2561c9 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -1007,7 +1007,7 @@ xyesno)
- else
- # should check these...
- X11_INCLUDES="$X11_INCLUDES $X_CFLAGS"
-- if test "x$HAVE_XF86VIDMODE" == xyes; then
-+ if test "x$HAVE_XF86VIDMODE" = xyes; then
- GL_LIB_DEPS="$X_LIBS -lX11 -lXext -lXxf86vm -lXdamage -lXfixes"
- else
- GL_LIB_DEPS="$X_LIBS -lX11 -lXext -lXdamage -lXfixes"
View
353 media-libs/mesa/mesa-7.10.3.ebuild
@@ -1,353 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-7.10.3.ebuild,v 1.15 2012/10/24 19:13:22 ulm Exp $
-
-EAPI=3
-
-EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa"
-
-if [[ ${PV} = 9999* ]]; then
- GIT_ECLASS="git"
- EXPERIMENTAL="true"
-fi
-
-inherit base autotools multilib flag-o-matic python toolchain-funcs ${GIT_ECLASS}
-
-OPENGL_DIR="xorg-x11"
-
-MY_PN="${PN/m/M}"
-MY_P="${MY_PN}-${PV/_/-}"
-MY_SRC_P="${MY_PN}Lib-${PV/_/-}"
-
-FOLDER="${PV/_rc*/}"
-[[ ${PV/_rc*/} == ${PV} ]] || FOLDER+="/RC"
-
-DESCRIPTION="OpenGL-like graphic library for Linux"
-HOMEPAGE="http://mesa3d.sourceforge.net/"
-
-SRC_PATCHES="mirror://gentoo/${PN}-7.10.1-gentoo-patches-01.tar.bz2"
-if [[ $PV = 9999* ]]; then
- SRC_URI="${SRC_PATCHES}"
-else
- SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/${FOLDER}/${MY_SRC_P}.tar.bz2
- ${SRC_PATCHES}"
-fi
-
-LICENSE="MIT LGPL-3 SGI-B-2.0"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sh sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
-
-INTEL_CARDS="intel"
-RADEON_CARDS="radeon"
-VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} mach64 mga nouveau r128 savage sis vmware tdfx via"
-for card in ${VIDEO_CARDS}; do
- IUSE_VIDEO_CARDS+=" video_cards_${card}"
-done
-
-IUSE="${IUSE_VIDEO_CARDS}
- +classic debug +gallium gles llvm motif +nptl pic selinux kernel_FreeBSD hardened"
-
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.24"
-# not a runtime dependency of this package, but dependency of packages which
-# depend on this package, bug #342393
-EXTERNAL_DEPEND="
- >=x11-proto/dri2proto-2.2
- >=x11-proto/glproto-1.4.11
-"
-# keep correct libdrm and dri2proto dep
-# keep blocks in rdepend for binpkg
-RDEPEND="${EXTERNAL_DEPEND}
- !<x11-base/xorg-server-1.7
- !<=x11-proto/xf86driproto-2.0.3
- classic? ( app-admin/eselect-mesa )
- gallium? ( app-admin/eselect-mesa )
- >=app-admin/eselect-opengl-1.1.1-r2
- dev-libs/expat
- dev-libs/libxml2[python]
- sys-libs/talloc
- x11-libs/libICE
- >=x11-libs/libX11-1.3.99.901
- x11-libs/libXdamage
- x11-libs/libXext
- x11-libs/libXi
- x11-libs/libXmu
- x11-libs/libXxf86vm
- motif? (
- x11-libs/motif
- !x11-libs/libGLw )
- gallium? (
- llvm? (
- amd64? ( dev-libs/udis86 )
- x86? ( dev-libs/udis86 )
- x86-fbsd? ( dev-libs/udis86 )
- <sys-devel/llvm-3
- )
- )
- ${LIBDRM_DEPSTRING}[video_cards_nouveau?,video_cards_vmware?]
- video_cards_nouveau? ( <x11-libs/libdrm-2.4.34 )
-"
-for card in ${INTEL_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
- "
-done
-
-for card in ${RADEON_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
- "
-done
-
-DEPEND="${RDEPEND}
- =dev-lang/python-2*
- virtual/pkgconfig
- sys-devel/bison
- sys-devel/flex
- x11-misc/makedepend
- x11-proto/inputproto
- >=x11-proto/xextproto-7.0.99.1
- x11-proto/xf86driproto
- x11-proto/xf86vidmodeproto
-"
-
-S="${WORKDIR}/${MY_P}"
-
-# It is slow without texrels, if someone wants slow
-# mesa without texrels +pic use is worth the shot
-QA_EXECSTACK="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-QA_WX_LOAD="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-
-# Think about: ggi, fbcon, no-X configs
-
-pkg_setup() {
- # gcc 4.2 has buggy ivopts
- if [[ $(gcc-version) = "4.2" ]]; then
- append-flags -fno-ivopts
- fi
-
- # recommended by upstream
- append-flags -ffast-math
-
- python_set_active_version 2
- python_pkg_setup
-}
-
-src_unpack() {
- [[ $PV = 9999* ]] && git_src_unpack || base_src_unpack
-}
-
-src_prepare() {
- # apply patches
- if [[ ${PV} != 9999* && -n ${SRC_PATCHES} ]]; then
- EPATCH_FORCE="yes" \
- EPATCH_SOURCE="${WORKDIR}/patches" \
- EPATCH_SUFFIX="patch" \
- epatch
- fi
-
- # bug 240956
- [[ ${PV} != 9999* ]] && epatch "${FILESDIR}"/glx_ro_text_segm.patch
-
- # FreeBSD 6.* doesn't have posix_memalign().
- if [[ ${CHOST} == *-freebsd6.* ]]; then
- sed -i \
- -e "s/-DHAVE_POSIX_MEMALIGN//" \
- configure.ac || die
- fi
- # Solaris needs some recent POSIX stuff in our case
- if [[ ${CHOST} == *-solaris* ]] ; then
- sed -i -e "s/-DSVR4/-D_POSIX_C_SOURCE=200112L/" configure.ac || die
- sed -i -e 's/uint/unsigned int/g' src/egl/drivers/glx/egl_glx.c || die
- fi
-
- # In order for mesa to complete it's build process we need to use a tool
- # that it compiles. When we cross compile this clearly does not work
- # so we require mesa to be built on the host system first. -solar
- if tc-is-cross-compiler; then
- sed -i -e "s#^GLSL_CL = .*\$#GLSL_CL = glsl_compiler#g" \
- "${S}"/src/mesa/shader/slang/library/Makefile || die
- fi
-
- [[ $PV = 9999* ]] && git_src_prepare
- base_src_prepare
-
- eautoreconf
-}
-
-src_configure() {
- local myconf
-
- if use classic; then
- # Configurable DRI drivers
- driver_enable swrast
-
- # Intel code
- driver_enable video_cards_intel i810 i915 i965
-
- # Nouveau code
- driver_enable video_cards_nouveau nouveau
-
- # ATI code
- driver_enable video_cards_radeon radeon r200 r300 r600
- driver_enable video_cards_mach64 mach64
- driver_enable video_cards_mga mga
- driver_enable video_cards_r128 r128
-
- driver_enable video_cards_savage savage
- driver_enable video_cards_sis sis
- driver_enable video_cards_tdfx tdfx
- driver_enable video_cards_via unichrome
- fi
-
- myconf="${myconf} $(use_enable gallium)"
- if use !gallium && use !classic; then
- ewarn "You enabled neither classic nor gallium USE flags. No hardware"
- ewarn "drivers will be built."
- fi
- if use gallium; then
- elog "You have enabled gallium infrastructure."
- elog "This infrastructure currently support these drivers:"
- elog " Intel: works only i915 and i965 somehow."
- elog " LLVMpipe: Software renderer."
- elog " Nouveau: Support for nVidia NV30 and later cards."
- elog " Radeon: Newest implementation of r300-r700 driver."
- elog " Svga: VMWare Virtual GPU driver."
- echo
- myconf="${myconf}
- --with-state-trackers=glx,dri,egl,vega
- $(use_enable llvm gallium-llvm)
- $(use_enable gles gles1)
- $(use_enable gles gles2)
- $(use_enable gles gles-overlay)
- $(use_enable video_cards_vmware gallium-svga)
- $(use_enable video_cards_nouveau gallium-nouveau)
- $(use_enable video_cards_intel gallium-i915)
- $(use_enable video_cards_intel gallium-i965)
- $(use_enable video_cards_radeon gallium-radeon)
- $(use_enable video_cards_radeon gallium-r600)"
- else
- if use video_cards_nouveau || use video_cards_vmware; then
- elog "SVGA and nouveau drivers are available only via gallium interface."
- elog "Enable gallium useflag if you want to use them."
- fi
- fi
-
- # bug 240956
- use x86 && myconf="${myconf} $(use_enable hardened glx-rts)"
-
- # --with-driver=dri|xlib|osmesa || do we need osmesa?
- econf \
- --disable-option-checking \
- --with-driver=dri \
- --disable-glut \
- --without-demos \
- --enable-xcb \
- $(use_enable debug) \
- $(use_enable motif glw) \
- $(use_enable motif) \
- $(use_enable nptl glx-tls) \
- $(use_enable !pic asm) \
- --with-dri-drivers=${DRI_DRIVERS} \
- ${myconf}
-}
-
-src_install() {
- base_src_install
-
- # Save the glsl-compiler for later use
- if ! tc-is-cross-compiler; then
- dobin "${S}"/src/glsl/glsl_compiler || die
- fi
- # Remove redundant headers
- # GLUT thing
- rm -f "${ED}"/usr/include/GL/glut*.h || die "Removing glut include failed."
- # Glew includes
- rm -f "${ED}"/usr/include/GL/{glew,glxew,wglew}.h \
- || die "Removing glew includes failed."
-
- # Install config file for eselect mesa
- insinto /usr/share/mesa
- newins "${FILESDIR}/eselect-mesa.conf.7.10" eselect-mesa.conf || die
-
- # Move libGL and others from /usr/lib to /usr/lib/opengl/blah/lib
- # because user can eselect desired GL provider.
- ebegin "Moving libGL and friends for dynamic switching"
- dodir /usr/$(get_libdir)/opengl/${OPENGL_DIR}/{lib,extensions,include}
- local x
- for x in "${ED}"/usr/$(get_libdir)/libGL.{la,a,so*}; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/lib \
- || die "Failed to move ${x}"
- fi
- done
- for x in "${ED}"/usr/include/GL/{gl.h,glx.h,glext.h,glxext.h}; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/include \
- || die "Failed to move ${x}"
- fi
- done
- eend $?
-
- if use classic || use gallium; then
- ebegin "Moving DRI/Gallium drivers for dynamic switching"
- local gallium_drivers=( i915_dri.so i965_dri.so r300_dri.so r600_dri.so swrast_dri.so )
- keepdir /usr/$(get_libdir)/dri
- dodir /usr/$(get_libdir)/mesa
- for x in ${gallium_drivers[@]}; do
- if [ -f "${S}/$(get_libdir)/gallium/${x}" ]; then
- mv -f "${ED}/usr/$(get_libdir)/dri/${x}" "${ED}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \
- || die "Failed to move ${x}"
- insinto "/usr/$(get_libdir)/dri/"
- if [ -f "${S}/$(get_libdir)/${x}" ]; then
- insopts -m0755
- doins "${S}/$(get_libdir)/${x}" || die "failed to install ${x}"
- fi
- fi
- done
- for x in "${ED}"/usr/$(get_libdir)/dri/*.so; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${x/dri/mesa}" \
- || die "Failed to move ${x}"
- fi
- done
- pushd "${ED}"/usr/$(get_libdir)/dri || die "pushd failed"
- ln -s ../mesa/*.so . || die "Creating symlink failed"
- # remove symlinks to drivers known to eselect
- for x in ${gallium_drivers[@]}; do
- if [ -f ${x} -o -L ${x} ]; then
- rm "${x}" || die "Failed to remove ${x}"
- fi
- done
- popd
- eend $?
- fi
-}
-
-pkg_postinst() {
- # Switch to the xorg implementation.
- echo
- eselect opengl set --use-old ${OPENGL_DIR}
- # Select classic/gallium drivers
- if use classic || use gallium; then
- eselect mesa set --auto
- fi
-}
-
-# $1 - VIDEO_CARDS flag
-# other args - names of DRI drivers to enable
-driver_enable() {
- case $# in
- # for enabling unconditionally
- 1)
- DRI_DRIVERS+=",$1"
- ;;
- *)
- if use $1; then
- shift
- for i in $@; do
- DRI_DRIVERS+=",${i}"
- done
- fi
- ;;
- esac
-}
View
371 media-libs/mesa/mesa-7.11.2.ebuild
@@ -1,371 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-7.11.2.ebuild,v 1.14 2012/12/08 17:41:30 ago Exp $
-
-EAPI=3
-
-EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa"
-
-if [[ ${PV} = 9999* ]]; then
- GIT_ECLASS="git-2"
- EXPERIMENTAL="true"
-fi
-
-inherit base autotools multilib flag-o-matic python toolchain-funcs ${GIT_ECLASS}
-
-OPENGL_DIR="xorg-x11"
-
-MY_PN="${PN/m/M}"
-MY_P="${MY_PN}-${PV/_/-}"
-MY_SRC_P="${MY_PN}Lib-${PV/_/-}"
-
-FOLDER="${PV/_rc*/}"
-
-DESCRIPTION="OpenGL-like graphic library for Linux"
-HOMEPAGE="http://mesa3d.sourceforge.net/"
-
-SRC_PATCHES="mirror://gentoo/${P}-gentoo-patches-01.tar.bz2"
-if [[ $PV = 9999* ]]; then
- SRC_URI="${SRC_PATCHES}"
-else
- SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/${FOLDER}/${MY_SRC_P}.tar.bz2
- ${SRC_PATCHES}"
-fi
-
-LICENSE="MIT LGPL-3 SGI-B-2.0"
-SLOT="0"
-KEYWORDS="alpha amd64 arm ~hppa ia64 ~mips ppc ppc64 sh sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
-
-INTEL_CARDS="intel"
-RADEON_CARDS="radeon"
-VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} mach64 mga nouveau r128 savage sis vmware tdfx via"
-for card in ${VIDEO_CARDS}; do
- IUSE_VIDEO_CARDS+=" video_cards_${card}"
-done
-
-IUSE="${IUSE_VIDEO_CARDS}
- bindist +classic debug +egl +gallium gbm gles +llvm motif +nptl openvg osmesa pic pax_kernel selinux shared-dricore +shared-glapi kernel_FreeBSD"
-
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.24"
-# not a runtime dependency of this package, but dependency of packages which
-# depend on this package, bug #342393
-EXTERNAL_DEPEND="
- >=x11-proto/dri2proto-2.2
- >=x11-proto/glproto-1.4.11
-"
-# keep correct libdrm and dri2proto dep
-# keep blocks in rdepend for binpkg
-RDEPEND="${EXTERNAL_DEPEND}
- !<x11-base/xorg-server-1.7
- !<=x11-proto/xf86driproto-2.0.3
- classic? ( app-admin/eselect-mesa )
- gallium? ( app-admin/eselect-mesa )
- app-admin/eselect-opengl
- dev-libs/expat
- gbm? ( virtual/udev )
- x11-libs/libICE
- >=x11-libs/libX11-1.3.99.901
- x11-libs/libXdamage
- x11-libs/libXext
- x11-libs/libXi
- x11-libs/libXmu
- x11-libs/libXxf86vm
- motif? (
- x11-libs/motif
- !x11-libs/libGLw )
- gallium? (
- llvm? ( >=sys-devel/llvm-2.8 )
- )
- ${LIBDRM_DEPSTRING}[video_cards_nouveau?,video_cards_vmware?]
- video_cards_nouveau? ( <x11-libs/libdrm-2.4.34 )
-"
-for card in ${INTEL_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
- "
-done
-
-for card in ${RADEON_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
- "
-done
-
-DEPEND="${RDEPEND}
- =dev-lang/python-2*
- dev-libs/libxml2[python]
- virtual/pkgconfig
- sys-devel/bison
- sys-devel/flex
- x11-misc/makedepend
- x11-proto/inputproto
- >=x11-proto/xextproto-7.0.99.1
- x11-proto/xf86driproto
- x11-proto/xf86vidmodeproto
-"
-
-S="${WORKDIR}/${MY_P}"
-
-# It is slow without texrels, if someone wants slow
-# mesa without texrels +pic use is worth the shot
-QA_EXECSTACK="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-QA_WX_LOAD="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-
-# Think about: ggi, fbcon, no-X configs
-
-pkg_setup() {
- # gcc 4.2 has buggy ivopts
- if [[ $(gcc-version) = "4.2" ]]; then
- append-flags -fno-ivopts
- fi
-
- # recommended by upstream
- append-flags -ffast-math
- # workaround toc-issue wrt #386545
- use ppc64 && append-flags -mminimal-toc
-
- python_set_active_version 2
- python_pkg_setup
-}
-
-src_unpack() {
- default
- [[ $PV = 9999* ]] && git-2_src_unpack
-}
-
-src_prepare() {
- # apply patches
- if [[ ${PV} != 9999* && -n ${SRC_PATCHES} ]]; then
- EPATCH_FORCE="yes" \
- EPATCH_SOURCE="${WORKDIR}/patches" \
- EPATCH_SUFFIX="patch" \
- epatch
- fi
- # fix for hardened pax_kernel, bug 240956
- [[ ${PV} != 9999* ]] && epatch "${FILESDIR}"/glx_ro_text_segm.patch
-
- # FreeBSD 6.* doesn't have posix_memalign().
- if [[ ${CHOST} == *-freebsd6.* ]]; then
- sed -i \
- -e "s/-DHAVE_POSIX_MEMALIGN//" \
- configure.ac || die
- fi
- # Solaris needs some recent POSIX stuff in our case
- if [[ ${CHOST} == *-solaris* ]] ; then
- sed -i -e "s/-DSVR4/-D_POSIX_C_SOURCE=200112L/" configure.ac || die
- sed -i -e 's/uint/unsigned int/g' src/egl/drivers/glx/egl_glx.c || die
- fi
-
- # In order for mesa to complete it's build process we need to use a tool
- # that it compiles. When we cross compile this clearly does not work
- # so we require mesa to be built on the host system first. -solar
- if tc-is-cross-compiler; then
- sed -i -e "s#^GLSL_CL = .*\$#GLSL_CL = glsl_compiler#g" \
- "${S}"/src/mesa/shader/slang/library/Makefile || die
- fi
-
- base_src_prepare
-
- eautoreconf
-}
-
-src_configure() {
- local myconf
-
- if use classic; then
- # Configurable DRI drivers
- driver_enable swrast
- driver_enable video_cards_intel i810 i915 i965
- driver_enable video_cards_nouveau nouveau
- driver_enable video_cards_mach64 mach64
- driver_enable video_cards_mga mga
- driver_enable video_cards_r128 r128
- driver_enable video_cards_radeon radeon r200 r300 r600
- driver_enable video_cards_savage savage
- driver_enable video_cards_sis sis
- driver_enable video_cards_tdfx tdfx
- driver_enable video_cards_via unichrome
- fi
-
- myconf+="
- $(use_enable !bindist texture-float)
- $(use_enable gles gles1)
- $(use_enable gles gles2)
- $(use_enable egl)
- "
- if use egl; then
- use shared-glapi || die "egl needs shared-glapi. Please either enable shared-glapi or disable the egl use flag ."
- myconf+="
- --with-egl-platforms=x11$(use gbm && echo ",drm")
- $(use_enable gallium gallium-egl)
- "
- fi
-
- if use !gallium && use !classic; then
- ewarn "You enabled neither classic nor gallium USE flags. No hardware"
- ewarn "drivers will be built."
- fi
- if use gallium; then
- myconf+="
- --with-state-trackers=glx,dri$(use egl && echo ",egl")$(use openvg && echo ",vega")
- $(use_enable llvm gallium-llvm)
- $(use_enable openvg)
- "
- gallium_enable swrast
- gallium_enable video_cards_vmware svga
- gallium_enable video_cards_nouveau nouveau
- gallium_enable video_cards_intel i915 i965
- gallium_enable video_cards_radeon r300 r600
- fi
-
- # x86 hardened pax_kernel needs glx-rts, bug 240956
- if use pax_kernel; then
- myconf+="
- $(use_enable x86 glx-rts)
- "
- fi
-
- econf \
- --disable-option-checking \
- --with-driver=dri \
- --disable-glut \
- --without-demos \
- --enable-xcb \
- $(use_enable debug) \
- $(use_enable gbm) \
- $(use_enable motif glw) \
- $(use_enable motif) \
- $(use_enable nptl glx-tls) \
- $(use_enable osmesa gl-osmesa) \
- $(use_enable !pic asm) \
- $(use_enable shared-dricore) \
- $(use_enable shared-glapi) \
- --with-dri-drivers=${DRI_DRIVERS} \
- --with-gallium-drivers=${GALLIUM_DRIVERS} \
- ${myconf}
-}
-
-src_install() {
- base_src_install
-
- # Save the glsl-compiler for later use
- if ! tc-is-cross-compiler; then
- dobin "${S}"/src/glsl/glsl_compiler || die
- fi
- # Remove redundant headers
- # GLUT thing
- rm -f "${ED}"/usr/include/GL/glut*.h || die "Removing glut include failed."
- # Glew includes
- rm -f "${ED}"/usr/include/GL/{glew,glxew,wglew}.h \
- || die "Removing glew includes failed."
-
- # Install config file for eselect mesa
- insinto /usr/share/mesa
- newins "${FILESDIR}/eselect-mesa.conf.7.11" eselect-mesa.conf || die
-
- # Move libGL and others from /usr/lib to /usr/lib/opengl/blah/lib
- # because user can eselect desired GL provider.
- ebegin "Moving libGL and friends for dynamic switching"
- dodir /usr/$(get_libdir)/opengl/${OPENGL_DIR}/{lib,extensions,include}
- local x
- for x in "${ED}"/usr/$(get_libdir)/libGL.{la,a,so*}; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/lib \
- || die "Failed to move ${x}"
- fi
- done
- for x in "${ED}"/usr/include/GL/{gl.h,glx.h,glext.h,glxext.h}; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/include \
- || die "Failed to move ${x}"
- fi
- done
- eend $?
-
- if use classic || use gallium; then
- ebegin "Moving DRI/Gallium drivers for dynamic switching"
- local gallium_drivers=( i915_dri.so i965_dri.so r300_dri.so r600_dri.so swrast_dri.so )
- keepdir /usr/$(get_libdir)/dri
- dodir /usr/$(get_libdir)/mesa
- for x in ${gallium_drivers[@]}; do
- if [ -f "${S}/$(get_libdir)/gallium/${x}" ]; then
- mv -f "${ED}/usr/$(get_libdir)/dri/${x}" "${ED}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \
- || die "Failed to move ${x}"
- insinto "/usr/$(get_libdir)/dri/"
- if [ -f "${S}/$(get_libdir)/${x}" ]; then
- insopts -m0755
- doins "${S}/$(get_libdir)/${x}" || die "failed to install ${x}"
- fi
- fi
- done
- for x in "${ED}"/usr/$(get_libdir)/dri/*.so; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${x/dri/mesa}" \
- || die "Failed to move ${x}"
- fi
- done
- pushd "${ED}"/usr/$(get_libdir)/dri || die "pushd failed"
- ln -s ../mesa/*.so . || die "Creating symlink failed"
- # remove symlinks to drivers known to eselect
- for x in ${gallium_drivers[@]}; do
- if [ -f ${x} -o -L ${x} ]; then
- rm "${x}" || die "Failed to remove ${x}"
- fi
- done
- popd
- eend $?
- fi
-}
-
-pkg_postinst() {
- # Switch to the xorg implementation.
- echo
- eselect opengl set --use-old ${OPENGL_DIR}
- # Select classic/gallium drivers
- if use classic || use gallium; then
- eselect mesa set --auto
- fi
-
- # warn about patent encumbered texture-float
- if use !bindist; then
- elog "USE=\"bindist\" was not set. Potentially patent encumbered code was"
- elog "enabled."
- fi
-}
-
-# $1 - VIDEO_CARDS flag
-# other args - names of DRI drivers to enable
-# TODO: avoid code duplication for a more elegant implementation
-driver_enable() {
- case $# in
- # for enabling unconditionally
- 1)
- DRI_DRIVERS+=",$1"
- ;;
- *)
- if use $1; then
- shift
- for i in $@; do
- DRI_DRIVERS+=",${i}"
- done
- fi
- ;;
- esac
-}
-
-gallium_enable() {
- case $# in
- # for enabling unconditionally
- 1)
- GALLIUM_DRIVERS+=",$1"
- ;;
- *)
- if use $1; then
- shift
- for i in $@; do
- GALLIUM_DRIVERS+=",${i}"
- done
- fi
- ;;
- esac
-}
View
371 media-libs/mesa/mesa-7.11.ebuild
@@ -1,371 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-7.11.ebuild,v 1.19 2012/12/03 02:42:08 ssuominen Exp $
-
-EAPI=3
-
-EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa"
-
-if [[ ${PV} = 9999* ]]; then
- GIT_ECLASS="git-2"
- EXPERIMENTAL="true"
-fi
-
-inherit base autotools multilib flag-o-matic python toolchain-funcs ${GIT_ECLASS}
-
-OPENGL_DIR="xorg-x11"
-
-MY_PN="${PN/m/M}"
-MY_P="${MY_PN}-${PV/_/-}"
-MY_SRC_P="${MY_PN}Lib-${PV/_/-}"
-
-FOLDER="${PV/_rc*/}"
-
-DESCRIPTION="OpenGL-like graphic library for Linux"
-HOMEPAGE="http://mesa3d.sourceforge.net/"
-
-#SRC_PATCHES="mirror://gentoo/${P}-gentoo-patches-01.tar.bz2"
-if [[ $PV = 9999* ]]; then
- SRC_URI="${SRC_PATCHES}"
-else
- SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/${FOLDER}/${MY_SRC_P}.tar.bz2
- ${SRC_PATCHES}"
-fi
-
-LICENSE="MIT LGPL-3 SGI-B-2.0"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sh sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
-
-INTEL_CARDS="intel"
-RADEON_CARDS="radeon"
-VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} mach64 mga nouveau r128 savage sis vmware tdfx via"
-for card in ${VIDEO_CARDS}; do
- IUSE_VIDEO_CARDS+=" video_cards_${card}"
-done
-
-IUSE="${IUSE_VIDEO_CARDS}
- bindist +classic debug +egl +gallium gbm gles +llvm motif +nptl openvg pic pax_kernel selinux shared-dricore +shared-glapi kernel_FreeBSD"
-
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.24"
-# not a runtime dependency of this package, but dependency of packages which
-# depend on this package, bug #342393
-EXTERNAL_DEPEND="
- >=x11-proto/dri2proto-2.2
- >=x11-proto/glproto-1.4.11
-"
-# keep correct libdrm and dri2proto dep
-# keep blocks in rdepend for binpkg
-RDEPEND="${EXTERNAL_DEPEND}
- !<x11-base/xorg-server-1.7
- !<=x11-proto/xf86driproto-2.0.3
- classic? ( app-admin/eselect-mesa )
- gallium? ( app-admin/eselect-mesa )
- app-admin/eselect-opengl
- dev-libs/expat
- gbm? ( virtual/udev )
- x11-libs/libICE
- >=x11-libs/libX11-1.3.99.901
- x11-libs/libXdamage
- x11-libs/libXext
- x11-libs/libXi
- x11-libs/libXmu
- x11-libs/libXxf86vm
- motif? (
- x11-libs/motif
- !x11-libs/libGLw )
- gallium? (
- llvm? ( <sys-devel/llvm-3 )
- )
- ${LIBDRM_DEPSTRING}[video_cards_nouveau?,video_cards_vmware?]
- video_cards_nouveau? ( <x11-libs/libdrm-2.4.34 )
-"
-for card in ${INTEL_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
- "
-done
-
-for card in ${RADEON_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
- "
-done
-
-DEPEND="${RDEPEND}
- =dev-lang/python-2*
- dev-libs/libxml2[python]
- virtual/pkgconfig
- sys-devel/bison
- sys-devel/flex
- x11-misc/makedepend
- x11-proto/inputproto
- >=x11-proto/xextproto-7.0.99.1
- x11-proto/xf86driproto
- x11-proto/xf86vidmodeproto
-"
-
-S="${WORKDIR}/${MY_P}"
-
-# It is slow without texrels, if someone wants slow
-# mesa without texrels +pic use is worth the shot
-QA_EXECSTACK="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-QA_WX_LOAD="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-
-# Think about: ggi, fbcon, no-X configs
-
-pkg_setup() {
- # gcc 4.2 has buggy ivopts
- if [[ $(gcc-version) = "4.2" ]]; then
- append-flags -fno-ivopts
- fi
-
- # recommended by upstream
- append-flags -ffast-math
- # workaround toc-issue wrt #386545
- use ppc64 && append-flags -mminimal-toc
-
- python_set_active_version 2
- python_pkg_setup
-}
-
-src_unpack() {
- default
- [[ $PV = 9999* ]] && git-2_src_unpack
-}
-
-src_prepare() {
- # apply patches
- if [[ ${PV} != 9999* && -n ${SRC_PATCHES} ]]; then
- EPATCH_FORCE="yes" \
- EPATCH_SOURCE="${WORKDIR}/patches" \
- EPATCH_SUFFIX="patch" \
- epatch
- fi
- # fix for hardened pax_kernel, bug 240956
- [[ ${PV} != 9999* ]] && epatch "${FILESDIR}"/glx_ro_text_segm.patch
-
- # FreeBSD 6.* doesn't have posix_memalign().
- if [[ ${CHOST} == *-freebsd6.* ]]; then
- sed -i \
- -e "s/-DHAVE_POSIX_MEMALIGN//" \
- configure.ac || die
- fi
- # Solaris needs some recent POSIX stuff in our case
- if [[ ${CHOST} == *-solaris* ]] ; then
- sed -i -e "s/-DSVR4/-D_POSIX_C_SOURCE=200112L/" configure.ac || die
- sed -i -e 's/uint/unsigned int/g' src/egl/drivers/glx/egl_glx.c || die
- fi
-
- # In order for mesa to complete it's build process we need to use a tool
- # that it compiles. When we cross compile this clearly does not work
- # so we require mesa to be built on the host system first. -solar
- if tc-is-cross-compiler; then
- sed -i -e "s#^GLSL_CL = .*\$#GLSL_CL = glsl_compiler#g" \
- "${S}"/src/mesa/shader/slang/library/Makefile || die
- fi
-
- base_src_prepare
-
- eautoreconf
-}
-
-src_configure() {
- local myconf
-
- if use classic; then
- # Configurable DRI drivers
- driver_enable swrast
- driver_enable video_cards_intel i810 i915 i965
- driver_enable video_cards_nouveau nouveau
- driver_enable video_cards_mach64 mach64
- driver_enable video_cards_mga mga
- driver_enable video_cards_r128 r128
- driver_enable video_cards_radeon radeon r200 r300 r600
- driver_enable video_cards_savage savage
- driver_enable video_cards_sis sis
- driver_enable video_cards_tdfx tdfx
- driver_enable video_cards_via unichrome
- fi
-
- myconf+="
- $(use_enable !bindist texture-float)
- $(use_enable gles gles1)
- $(use_enable gles gles2)
- $(use_enable egl)
- "
- if use egl; then
- use shared-glapi || die "egl needs shared-glapi. Please either enable shared-glapi or disable the egl use flag ."
- myconf+="
- --with-egl-platforms=x11$(use gbm && echo ",drm")
- $(use_enable gallium gallium-egl)
- "
- fi
-
- if use !gallium && use !classic; then
- ewarn "You enabled neither classic nor gallium USE flags. No hardware"
- ewarn "drivers will be built."
- fi
- if use gallium; then
- myconf+="
- --with-state-trackers=glx,dri$(use egl && echo ",egl")$(use openvg && echo ",vega")
- $(use_enable llvm gallium-llvm)
- $(use_enable openvg)
- "
- gallium_enable swrast
- gallium_enable video_cards_vmware svga
- gallium_enable video_cards_nouveau nouveau
- gallium_enable video_cards_intel i915 i965
- gallium_enable video_cards_radeon r300 r600
- fi
-
- # x86 hardened pax_kernel needs glx-rts, bug 240956
- if use pax_kernel; then
- myconf+="
- $(use_enable x86 glx-rts)
- "
- fi
-
- # --with-driver=dri|xlib|osmesa || do we need osmesa?
- econf \
- --disable-option-checking \
- --with-driver=dri \
- --disable-glut \
- --without-demos \
- --enable-xcb \
- $(use_enable debug) \
- $(use_enable gbm) \
- $(use_enable motif glw) \
- $(use_enable motif) \
- $(use_enable nptl glx-tls) \
- $(use_enable !pic asm) \
- $(use_enable shared-dricore) \
- $(use_enable shared-glapi) \
- --with-dri-drivers=${DRI_DRIVERS} \
- --with-gallium-drivers=${GALLIUM_DRIVERS} \
- ${myconf}
-}
-
-src_install() {
- base_src_install
-
- # Save the glsl-compiler for later use
- if ! tc-is-cross-compiler; then
- dobin "${S}"/src/glsl/glsl_compiler || die
- fi
- # Remove redundant headers
- # GLUT thing
- rm -f "${ED}"/usr/include/GL/glut*.h || die "Removing glut include failed."
- # Glew includes
- rm -f "${ED}"/usr/include/GL/{glew,glxew,wglew}.h \
- || die "Removing glew includes failed."
-
- # Install config file for eselect mesa
- insinto /usr/share/mesa
- newins "${FILESDIR}/eselect-mesa.conf.7.11" eselect-mesa.conf || die
-
- # Move libGL and others from /usr/lib to /usr/lib/opengl/blah/lib
- # because user can eselect desired GL provider.
- ebegin "Moving libGL and friends for dynamic switching"
- dodir /usr/$(get_libdir)/opengl/${OPENGL_DIR}/{lib,extensions,include}
- local x
- for x in "${ED}"/usr/$(get_libdir)/libGL.{la,a,so*}; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/lib \
- || die "Failed to move ${x}"
- fi
- done
- for x in "${ED}"/usr/include/GL/{gl.h,glx.h,glext.h,glxext.h}; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/include \
- || die "Failed to move ${x}"
- fi
- done
- eend $?
-
- if use classic || use gallium; then
- ebegin "Moving DRI/Gallium drivers for dynamic switching"
- local gallium_drivers=( i915_dri.so i965_dri.so r300_dri.so r600_dri.so swrast_dri.so )
- keepdir /usr/$(get_libdir)/dri
- dodir /usr/$(get_libdir)/mesa
- for x in ${gallium_drivers[@]}; do
- if [ -f "${S}/$(get_libdir)/gallium/${x}" ]; then
- mv -f "${ED}/usr/$(get_libdir)/dri/${x}" "${ED}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \
- || die "Failed to move ${x}"
- insinto "/usr/$(get_libdir)/dri/"
- if [ -f "${S}/$(get_libdir)/${x}" ]; then
- insopts -m0755
- doins "${S}/$(get_libdir)/${x}" || die "failed to install ${x}"
- fi
- fi
- done
- for x in "${ED}"/usr/$(get_libdir)/dri/*.so; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${x/dri/mesa}" \
- || die "Failed to move ${x}"
- fi
- done
- pushd "${ED}"/usr/$(get_libdir)/dri || die "pushd failed"
- ln -s ../mesa/*.so . || die "Creating symlink failed"
- # remove symlinks to drivers known to eselect
- for x in ${gallium_drivers[@]}; do
- if [ -f ${x} -o -L ${x} ]; then
- rm "${x}" || die "Failed to remove ${x}"
- fi
- done
- popd
- eend $?
- fi
-}
-
-pkg_postinst() {
- # Switch to the xorg implementation.
- echo
- eselect opengl set --use-old ${OPENGL_DIR}
- # Select classic/gallium drivers
- if use classic || use gallium; then
- eselect mesa set --auto
- fi
-
- # warn about patent encumbered texture-float
- if use !bindist; then
- elog "USE=\"bindist\" was not set. Potentially patent encumbered code was"
- elog "enabled."
- fi
-}
-
-# $1 - VIDEO_CARDS flag
-# other args - names of DRI drivers to enable
-# TODO: avoid code duplication for a more elegant implementation
-driver_enable() {
- case $# in
- # for enabling unconditionally
- 1)
- DRI_DRIVERS+=",$1"
- ;;
- *)
- if use $1; then
- shift
- for i in $@; do
- DRI_DRIVERS+=",${i}"
- done
- fi
- ;;
- esac
-}
-
-gallium_enable() {
- case $# in
- # for enabling unconditionally
- 1)
- GALLIUM_DRIVERS+=",$1"
- ;;
- *)
- if use $1; then
- shift
- for i in $@; do
- GALLIUM_DRIVERS+=",${i}"
- done
- fi
- ;;
- esac
-}
View
404 media-libs/mesa/mesa-8.0.3.ebuild
@@ -1,404 +0,0 @@
-# Copyright 1999-2012 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-8.0.3.ebuild,v 1.12 2012/12/03 02:42:08 ssuominen Exp $
-
-EAPI=4
-
-EGIT_REPO_URI="git://anongit.freedesktop.org/mesa/mesa"
-
-if [[ ${PV} = 9999* ]]; then
- GIT_ECLASS="git-2"
- EXPERIMENTAL="true"
-fi
-
-inherit base autotools multilib flag-o-matic python toolchain-funcs ${GIT_ECLASS}
-
-OPENGL_DIR="xorg-x11"
-
-MY_PN="${PN/m/M}"
-MY_P="${MY_PN}-${PV/_/-}"
-MY_SRC_P="${MY_PN}Lib-${PV/_/-}"
-
-FOLDER="${PV/_rc*/}"
-
-DESCRIPTION="OpenGL-like graphic library for Linux"
-HOMEPAGE="http://mesa3d.sourceforge.net/"
-
-SRC_PATCHES="mirror://gentoo/${P}-gentoo-patches-02.tar.bz2"
-if [[ $PV = 9999* ]]; then
- SRC_URI="${SRC_PATCHES}"
-else
- SRC_URI="ftp://ftp.freedesktop.org/pub/mesa/${FOLDER}/${MY_SRC_P}.tar.bz2
- ${SRC_PATCHES}"
-fi
-
-# Most of the code is MIT/X11.
-# ralloc is LGPL-3
-# GLES[2]/gl[2]{,ext,platform}.h are SGI-B-2.0
-LICENSE="MIT LGPL-3 SGI-B-2.0"
-SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ppc ppc64 sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
-
-INTEL_CARDS="i915 i965 intel"
-RADEON_CARDS="r100 r200 r300 r600 radeon"
-VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} nouveau vmware"
-for card in ${VIDEO_CARDS}; do
- IUSE_VIDEO_CARDS+=" video_cards_${card}"
-done
-
-IUSE="${IUSE_VIDEO_CARDS}
- bindist +classic debug +egl g3dvl +gallium gbm gles1 gles2 +llvm +nptl openvg osmesa pax_kernel pic selinux shared-dricore +shared-glapi vdpau wayland xa xvmc kernel_FreeBSD"
-
-REQUIRED_USE="
- g3dvl? ( gallium )
- llvm? ( gallium )
- openvg? ( egl gallium )
- gbm? ( shared-glapi )
- g3dvl? ( || ( vdpau xvmc ) )
- vdpau? ( g3dvl )
- xa? ( gallium )
- xvmc? ( g3dvl )
- video_cards_intel? ( || ( classic gallium ) )
- video_cards_i915? ( || ( classic gallium ) )
- video_cards_i965? ( classic )
- video_cards_nouveau? ( || ( classic gallium ) )
- video_cards_radeon? ( || ( classic gallium ) )
- video_cards_r100? ( classic )
- video_cards_r200? ( classic )
- video_cards_r300? ( gallium )
- video_cards_r600? ( gallium )
- video_cards_vmware? ( gallium )
-"
-
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.32"
-# not a runtime dependency of this package, but dependency of packages which
-# depend on this package, bug #342393
-EXTERNAL_DEPEND="
- >=x11-proto/dri2proto-2.6
- >=x11-proto/glproto-1.4.15
-"
-# keep correct libdrm and dri2proto dep
-# keep blocks in rdepend for binpkg
-RDEPEND="${EXTERNAL_DEPEND}
- !<x11-base/xorg-server-1.7
- !<=x11-proto/xf86driproto-2.0.3
- classic? ( app-admin/eselect-mesa )
- gallium? ( app-admin/eselect-mesa )
- >=app-admin/eselect-opengl-1.2.5
- dev-libs/expat
- gbm? ( virtual/udev )
- >=x11-libs/libX11-1.3.99.901
- x11-libs/libXdamage
- x11-libs/libXext
- x11-libs/libXxf86vm
- >=x11-libs/libxcb-1.8
- vdpau? ( >=x11-libs/libvdpau-0.4.1 )
- wayland? ( dev-libs/wayland )
- xvmc? ( >=x11-libs/libXvMC-1.0.6 )
- ${LIBDRM_DEPSTRING}[video_cards_nouveau?,video_cards_vmware?]
- video_cards_nouveau? ( <x11-libs/libdrm-2.4.34 )
-"
-for card in ${INTEL_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_intel] )
- "
-done
-
-for card in ${RADEON_CARDS}; do
- RDEPEND="${RDEPEND}
- video_cards_${card}? ( ${LIBDRM_DEPSTRING}[video_cards_radeon] )
- "
-done
-
-DEPEND="${RDEPEND}
- llvm? ( >=sys-devel/llvm-2.9 )
- =dev-lang/python-2*
- dev-libs/libxml2[python]
- virtual/pkgconfig
- sys-devel/bison
- sys-devel/flex
- x11-misc/makedepend
- >=x11-proto/xextproto-7.0.99.1
- x11-proto/xf86driproto
- x11-proto/xf86vidmodeproto
-"
-
-S="${WORKDIR}/${MY_P}"
-
-# It is slow without texrels, if someone wants slow
-# mesa without texrels +pic use is worth the shot
-QA_EXECSTACK="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-QA_WX_LOAD="usr/lib*/opengl/xorg-x11/lib/libGL.so*"
-
-# Think about: ggi, fbcon, no-X configs
-
-pkg_setup() {
- # workaround toc-issue wrt #386545
- use ppc64 && append-flags -mminimal-toc
-}
-
-src_unpack() {
- default
- [[ $PV = 9999* ]] && git-2_src_unpack
-}
-
-src_prepare() {
- # apply patches
- if [[ ${PV} != 9999* && -n ${SRC_PATCHES} ]]; then
- EPATCH_FORCE="yes" \
- EPATCH_SOURCE="${WORKDIR}/patches" \
- EPATCH_SUFFIX="patch" \
- epatch
- fi
-
- # relax the requirement that r300 must have llvm, bug 380303
- epatch "${FILESDIR}"/${PN}-8.0-dont-require-llvm-for-r300.patch
-
- # fix for hardened pax_kernel, bug 240956
- [[ ${PV} != 9999* ]] && epatch "${FILESDIR}"/glx_ro_text_segm.patch
-
- # Solaris needs some recent POSIX stuff in our case
- if [[ ${CHOST} == *-solaris* ]] ; then
- sed -i -e "s/-DSVR4/-D_POSIX_C_SOURCE=200112L/" configure.ac || die
- fi
-
- # Tests fail against python-3, bug #407887
- sed -i 's|/usr/bin/env python|/usr/bin/env python2|' src/glsl/tests/compare_ir || die
-
- # Fix bash-ism test bug 435496
- epatch "${FILESDIR}"/${PN}-8.0.4-configure-bsd.patch
-
- base_src_prepare
-
- eautoreconf
-}
-
-src_configure() {
- local myconf
-
- if use classic; then
- # Configurable DRI drivers
- driver_enable swrast
-
- # Intel code
- driver_enable video_cards_i915 i915
- driver_enable video_cards_i965 i965
- if ! use video_cards_i915 && \
- ! use video_cards_i965; then
- driver_enable video_cards_intel i915 i965
- fi
-
- # Nouveau code
- driver_enable video_cards_nouveau nouveau
-
- # ATI code
- driver_enable video_cards_r100 radeon
- driver_enable video_cards_r200 r200
- if ! use video_cards_r100 && \
- ! use video_cards_r200; then
- driver_enable video_cards_radeon radeon r200
- fi
- fi
-
- if use egl; then
- myconf+="
- --with-egl-platforms=x11$(use wayland && echo ",wayland")$(use gbm && echo ",drm")
- $(use_enable gallium gallium-egl)
- "
- fi
-
- if use gallium; then
- myconf+="
- $(use_enable g3dvl gallium-g3dvl)
- $(use_enable llvm gallium-llvm)
- $(use_enable openvg)
- $(use_enable vdpau)
- $(use_enable xa)
- $(use_enable xvmc)
- "
- gallium_enable swrast
- gallium_enable video_cards_vmware svga
- gallium_enable video_cards_nouveau nouveau
- gallium_enable video_cards_i915 i915
- if ! use video_cards_i915; then
- gallium_enable video_cards_intel i915
- fi
-
- gallium_enable video_cards_r300 r300
- gallium_enable video_cards_r600 r600
- if ! use video_cards_r300 && \
- ! use video_cards_r600; then
- gallium_enable video_cards_radeon r300 r600
- fi
- fi
-
- # x86 hardened pax_kernel needs glx-rts, bug 240956
- if use pax_kernel; then
- myconf+="
- $(use_enable x86 glx-rts)
- "
- fi
-
- econf \
- --enable-dri \
- --enable-glx \
- $(use_enable !bindist texture-float) \
- $(use_enable debug) \
- $(use_enable egl) \
- $(use_enable gbm) \
- $(use_enable gles1) \
- $(use_enable gles2) \
- $(use_enable nptl glx-tls) \
- $(use_enable osmesa) \
- $(use_enable !pic asm) \
- $(use_enable shared-dricore) \
- $(use_enable shared-glapi) \
- --with-dri-drivers=${DRI_DRIVERS} \
- --with-gallium-drivers=${GALLIUM_DRIVERS} \
- ${myconf}
-}
-
-src_install() {
- base_src_install
-
- if use !bindist; then
- dodoc docs/patents.txt
- fi
-
- # Save the glsl-compiler for later use
- if ! tc-is-cross-compiler; then
- dobin "${S}"/src/glsl/glsl_compiler
- fi
-
- # Install config file for eselect mesa
- insinto /usr/share/mesa
- newins "${FILESDIR}/eselect-mesa.conf.8.0.1" eselect-mesa.conf
-
- # Move libGL and others from /usr/lib to /usr/lib/opengl/blah/lib
- # because user can eselect desired GL provider.
- ebegin "Moving libGL and friends for dynamic switching"
- dodir /usr/$(get_libdir)/opengl/${OPENGL_DIR}/{lib,extensions,include}
- local x
- for x in "${ED}"/usr/$(get_libdir)/lib{EGL,GL*,OpenVG}.{la,a,so*}; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/lib \
- || die "Failed to move ${x}"
- fi
- done
- for x in "${ED}"/usr/include/GL/{gl.h,glx.h,glext.h,glxext.h}; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}"/usr/$(get_libdir)/opengl/${OPENGL_DIR}/include \
- || die "Failed to move ${x}"
- fi
- done
- eend $?
-
- if use classic || use gallium; then
- ebegin "Moving DRI/Gallium drivers for dynamic switching"
- local gallium_drivers=( i915_dri.so i965_dri.so r300_dri.so r600_dri.so swrast_dri.so )
- keepdir /usr/$(get_libdir)/dri
- dodir /usr/$(get_libdir)/mesa
- for x in ${gallium_drivers[@]}; do
- if [ -f "${S}/$(get_libdir)/gallium/${x}" ]; then
- mv -f "${ED}/usr/$(get_libdir)/dri/${x}" "${ED}/usr/$(get_libdir)/dri/${x/_dri.so/g_dri.so}" \
- || die "Failed to move ${x}"
- insinto "/usr/$(get_libdir)/dri/"
- if [ -f "${S}/$(get_libdir)/${x}" ]; then
- insopts -m0755
- doins "${S}/$(get_libdir)/${x}"
- fi
- fi
- done
- for x in "${ED}"/usr/$(get_libdir)/dri/*.so; do
- if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${x/dri/mesa}" \
- || die "Failed to move ${x}"
- fi
- done
- pushd "${ED}"/usr/$(get_libdir)/dri || die "pushd failed"
- ln -s ../mesa/*.so . || die "Creating symlink failed"
- # remove symlinks to drivers known to eselect
- for x in ${gallium_drivers[@]}; do
- if [ -f ${x} -o -L ${x} ]; then
- rm "${x}" || die "Failed to remove ${x}"
- fi
- done
- popd
- eend $?
- fi
-}
-
-pkg_postinst() {
- # Switch to the xorg implementation.
- echo
- eselect opengl set --use-old ${OPENGL_DIR}
-
- # switch to xorg-x11 and back if necessary, bug #374647 comment 11
- OLD_IMPLEM="$(eselect opengl show)"
- if [[ ${OPENGL_DIR}x != ${OLD_IMPLEM}x ]]; then
- eselect opengl set ${OPENGL_DIR}
- eselect opengl set ${OLD_IMPLEM}
- fi
-
- # Select classic/gallium drivers
- if use classic || use gallium; then
- eselect mesa set --auto
- fi
-
- # warn about patent encumbered texture-float
- if use !bindist; then
- elog "USE=\"bindist\" was not set. Potentially patent encumbered code was"
- elog "enabled. Please see patents.txt for an explanation."
- fi
-
- local using_radeon r_flag
- for r_flag in ${RADEON_CARDS}; do
- if use video_cards_${r_flag}; then
- using_radeon=1
- break
- fi
- done
-
- if [[ ${using_radeon} = 1 ]] && ! has_version media-libs/libtxc_dxtn; then
- elog "Note that in order to have full S3TC support, it is necessary to install"
- elog "media-libs/libtxc_dxtn as well. This may be necessary to get nice"
- elog "textures in some apps, and some others even require this to run."
- fi
-}
-
-# $1 - VIDEO_CARDS flag
-# other args - names of DRI drivers to enable
-# TODO: avoid code duplication for a more elegant implementation
-driver_enable() {
- case $# in
- # for enabling unconditionally
- 1)
- DRI_DRIVERS+=",$1"
- ;;
- *)
- if use $1; then
- shift
- for i in $@; do
- DRI_DRIVERS+=",${i}"
- done
- fi
- ;;
- esac
-}
-
-gallium_enable() {
- case $# in
- # for enabling unconditionally
- 1)
- GALLIUM_DRIVERS+=",$1"
- ;;
- *)
- if use $1; then
- shift
- for i in $@; do
- GALLIUM_DRIVERS+=",${i}"
- done
- fi
- ;;
- esac
-}
View
89 media-libs/mesa/mesa-8.0.4-r1.ebuild → media-libs/mesa/mesa-9.0.2.ebuild
@@ -1,6 +1,4 @@
-# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/media-libs/mesa/mesa-8.0.4-r1.ebuild,v 1.10 2012/12/03 02:42:08 ssuominen Exp $
EAPI=4
@@ -11,7 +9,7 @@ if [[ ${PV} = 9999* ]]; then
EXPERIMENTAL="true"
fi
-inherit base autotools multilib flag-o-matic python toolchain-funcs ${GIT_ECLASS}
+inherit base autotools multilib flag-o-matic toolchain-funcs ${GIT_ECLASS}
OPENGL_DIR="xorg-x11"
@@ -24,7 +22,7 @@ FOLDER="${PV/_rc*/}"
DESCRIPTION="OpenGL-like graphic library for Linux"
HOMEPAGE="http://mesa3d.sourceforge.net/"
-SRC_PATCHES="mirror://gentoo/${P}-gentoo-patches-01.tar.bz2"
+#SRC_PATCHES="mirror://gentoo/${P}-gentoo-patches-01.tar.bz2"
if [[ $PV = 9999* ]]; then
SRC_URI="${SRC_PATCHES}"
else
@@ -32,22 +30,23 @@ else
${SRC_PATCHES}"
fi
-# Most of the code is MIT/X11.
-# ralloc is LGPL-3
+# The code is MIT/X11.
# GLES[2]/gl[2]{,ext,platform}.h are SGI-B-2.0
-LICENSE="MIT LGPL-3 SGI-B-2.0"
+LICENSE="MIT SGI-B-2.0"
SLOT="0"
-KEYWORDS="alpha amd64 arm hppa ia64 ~mips ~ppc ppc64 sh sparc x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="*"
INTEL_CARDS="i915 i965 intel"
-RADEON_CARDS="r100 r200 r300 r600 radeon"
+RADEON_CARDS="r100 r200 r300 r600 radeon radeonsi"
VIDEO_CARDS="${INTEL_CARDS} ${RADEON_CARDS} nouveau vmware"
for card in ${VIDEO_CARDS}; do
IUSE_VIDEO_CARDS+=" video_cards_${card}"
done
IUSE="${IUSE_VIDEO_CARDS}
- bindist +classic debug +egl g3dvl +gallium gbm gles1 gles2 +llvm +nptl openvg osmesa pax_kernel pic selinux shared-dricore +shared-glapi vdpau wayland xa xvmc kernel_FreeBSD"
+ bindist +classic debug +egl g3dvl +gallium gbm gles1 gles2 +llvm +nptl
+ openvg osmesa pax_kernel pic r600-llvm-compiler selinux +shared-glapi vdpau
+ wayland xvmc xa xorg kernel_FreeBSD"
REQUIRED_USE="
g3dvl? ( gallium )
@@ -56,7 +55,9 @@ REQUIRED_USE="
gbm? ( shared-glapi )
g3dvl? ( || ( vdpau xvmc ) )
vdpau? ( g3dvl )
- xa? ( gallium )
+ r600-llvm-compiler? ( gallium llvm || ( video_cards_r600 video_cards_radeon ) )
+ xa? ( gallium )
+ xorg? ( gallium )
xvmc? ( g3dvl )
video_cards_intel? ( || ( classic gallium ) )
video_cards_i915? ( || ( classic gallium ) )
@@ -67,36 +68,37 @@ REQUIRED_USE="
video_cards_r200? ( classic )
video_cards_r300? ( gallium )
video_cards_r600? ( gallium )
+ video_cards_radeonsi? ( gallium llvm )
video_cards_vmware? ( gallium )
"
-LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.32"
-# not a runtime dependency of this package, but dependency of packages which
-# depend on this package, bug #342393
-EXTERNAL_DEPEND="
- >=x11-proto/dri2proto-2.6
- >=x11-proto/glproto-1.4.15-r1
-"
+LIBDRM_DEPSTRING=">=x11-libs/libdrm-2.4.39"
# keep correct libdrm and dri2proto dep
# keep blocks in rdepend for binpkg
-RDEPEND="${EXTERNAL_DEPEND}
- !<x11-base/xorg-server-1.7
+# gtest file collision bug #411825
+RDEPEND="!<x11-base/xorg-server-1.7
!<=x11-proto/xf86driproto-2.0.3
classic? ( app-admin/eselect-mesa )
gallium? ( app-admin/eselect-mesa )
>=app-admin/eselect-opengl-1.2.6
dev-libs/expat
- gbm? ( virtual/udev )
+ gbm? (
+ virtual/udev
+ x11-libs/libdrm[libkms]
+ )
>=x11-libs/libX11-1.3.99.901
x11-libs/libXdamage
x11-libs/libXext
x11-libs/libXxf86vm
- >=x11-libs/libxcb-1.8
+ >=x11-libs/libxcb-1.8.1
vdpau? ( >=x11-libs/libvdpau-0.4.1 )
- wayland? ( dev-libs/wayland )
+ wayland? ( >=dev-libs/wayland-1.0.3 )
+ xorg? (
+ x11-base/xorg-server
+ x11-libs/libdrm[libkms]
+ )
xvmc? ( >=x11-libs/libXvMC-1.0.6 )
${LIBDRM_DEPSTRING}[video_cards_nouveau?,video_cards_vmware?]
- video_cards_nouveau? ( <x11-libs/libdrm-2.4.34 )
"
for card in ${INTEL_CARDS}; do
RDEPEND="${RDEPEND}
@@ -111,13 +113,19 @@ for card in ${RADEON_CARDS}; do
done
DEPEND="${RDEPEND}
- llvm? ( >=sys-devel/llvm-2.9 )
+ llvm? (
+ >=sys-devel/llvm-2.9
+ r600-llvm-compiler? ( =sys-devel/llvm-3.1* )
+ video_cards_radeonsi? ( =sys-devel/llvm-3.1* )
+ )
=dev-lang/python-2*
dev-libs/libxml2[python]
- virtual/pkgconfig
sys-devel/bison
sys-devel/flex
+ virtual/pkgconfig
x11-misc/makedepend
+ >=x11-proto/dri2proto-2.6
+ >=x11-proto/glproto-1.4.15-r1
>=x11-proto/xextproto-7.0.99.1
x11-proto/xf86driproto
x11-proto/xf86vidmodeproto
@@ -139,7 +147,9 @@ pkg_setup() {
src_unpack() {
default
- [[ $PV = 9999* ]] && git-2_src_unpack
+ if [[ ${PV} = 9999* ]]; then
+ git-2_src_unpack
+ fi
}
src_prepare() {
@@ -152,7 +162,7 @@ src_prepare() {
fi
# relax the requirement that r300 must have llvm, bug 380303
- epatch "${FILESDIR}"/${PN}-8.0-dont-require-llvm-for-r300.patch
+ epatch "${FILESDIR}"/${PN}-8.1-dont-require-llvm-for-r300.patch
# fix for hardened pax_kernel, bug 240956
[[ ${PV} != 9999* ]] && epatch "${FILESDIR}"/glx_ro_text_segm.patch
@@ -165,9 +175,6 @@ src_prepare() {
# Tests fail against python-3, bug #407887
sed -i 's|/usr/bin/env python|/usr/bin/env python2|' src/glsl/tests/compare_ir || die
- # Fix bash-ism test bug 435496
- epatch "${FILESDIR}"/${PN}-8.0.4-configure-bsd.patch
-
base_src_prepare
eautoreconf
@@ -212,8 +219,8 @@ src_configure() {
$(use_enable g3dvl gallium-g3dvl)
$(use_enable llvm gallium-llvm)
$(use_enable openvg)
+ $(use_enable r600-llvm-compiler)
$(use_enable vdpau)
- $(use_enable xa)
$(use_enable xvmc)
"
gallium_enable swrast
@@ -226,6 +233,7 @@ src_configure() {
gallium_enable video_cards_r300 r300
gallium_enable video_cards_r600 r600
+ gallium_enable video_cards_radeonsi radeonsi
if ! use video_cards_r300 && \
! use video_cards_r600; then
gallium_enable video_cards_radeon r300 r600
@@ -239,6 +247,8 @@ src_configure() {
"
fi
+ use userland_GNU || export INDENT=cat
+
econf \
--enable-dri \
--enable-glx \
@@ -251,8 +261,9 @@ src_configure() {
$(use_enable nptl glx-tls) \
$(use_enable osmesa) \
$(use_enable !pic asm) \
- $(use_enable shared-dricore) \
$(use_enable shared-glapi) \
+ $(use_enable xa) \
+ $(use_enable xorg) \
--with-dri-drivers=${DRI_DRIVERS} \
--with-gallium-drivers=${GALLIUM_DRIVERS} \
${myconf}
@@ -261,6 +272,8 @@ src_configure() {
src_install() {
base_src_install
+ find "${ED}" -name '*.la' -exec rm -f {} + || die
+
if use !bindist; then
dodoc docs/patents.txt
fi
@@ -272,29 +285,29 @@ src_install() {
# Install config file for eselect mesa
insinto /usr/share/mesa
- newins "${FILESDIR}/eselect-mesa.conf.8.0.1" eselect-mesa.conf
+ newins "${FILESDIR}/eselect-mesa.conf.8.1" eselect-mesa.conf
# Move libGL and others from /usr/lib to /usr/lib/opengl/blah/lib
# because user can eselect desired GL provider.
ebegin "Moving libGL and friends for dynamic switching"
- local gl_dir="/usr/$(get_libdir)/opengl/${OPENGL_DIR}/"
local x
+ local gl_dir="/usr/$(get_libdir)/opengl/${OPENGL_DIR}/"
dodir ${gl_dir}/{lib,extensions,include/GL}
for x in "${ED}"/usr/$(get_libdir)/lib{EGL,GL*,OpenVG}.{la,a,so*}; do
if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}"${gl_dir}/lib \
+ mv -f "${x}" "${ED}${gl_dir}"/lib \
|| die "Failed to move ${x}"
fi
done
for x in "${ED}"/usr/include/GL/{gl.h,glx.h,glext.h,glxext.h}; do
if [ -f ${x} -o -L ${x} ]; then
- mv -f "${x}" "${ED}"${gl_dir}/include/GL/ \
+ mv -f "${x}" "${ED}${gl_dir}"/include/GL \
|| die "Failed to move ${x}"
fi
done
for x in "${ED}"/usr/include/{EGL,GLES*,VG,KHR}; do
if [ -d ${x} ]; then
- mv -f "${x}" "${ED}"/${gl_dir}/include \
+ mv -f "${x}" "${ED}${gl_dir}"/include \
|| die "Failed to move ${x}"
fi
done
View
7 media-libs/mesa/metadata.xml
@@ -3,6 +3,7 @@
<pkgmetadata>
<herd>x11</herd>
<use>
+ <flag name='bindist'>Disable patent-encumbered ARB_texture_float, EXT_texture_shared_exponent, and EXT_packed_float extensions.</flag>
<flag name='classic'>Build drivers based on the classic architecture.</flag>
<flag name='egl'>Enable EGL support.</flag>
<flag name='gallium'>Build drivers based on Gallium3D, the new architecture for 3D graphics drivers.</flag>
@@ -14,13 +15,15 @@
<flag name='llvm'>Enable LLVM backend for Gallium3D.</flag>
<flag name='openvg'>Enable the OpenVG 2D acceleration API for Gallium3D.</flag>
<flag name='osmesa'>Build the Mesa library for off-screen rendering.</flag>
- <flag name='r600-llvm-compiler'>Build the LLVM based r600 shader compiler.</flag>
<flag name='pax_kernel'>Enable if the user plans to run the package under a pax enabled hardened kernel</flag>
<flag name='pic'>disable optimized assembly code that is not PIC friendly</flag>
+ <flag name='r600-llvm-compiler'>Build the LLVM based r600 shader compiler.</flag>
<flag name='shared-dricore'>Enable sharing of common code for classic DRI drivers.</flag>
<flag name='shared-glapi'>Enable sharing of common code for the OpenGL API.</flag>
+ <flag name='vdpau'>Enable the VDPAU acceleration interface for the Gallium3D Video Layer.</flag>
+ <flag name='wayland'>Enable support for dev-libs/wayland</flag>
<flag name='xa'>Enable the XA (X Acceleration) API for Gallium3D.</flag>
- <flag name='xorg'>Enable the X.org state tracker (DDX replacement) for Gallium3D.</flag>
+ <flag name='xorg'>Enable the Xorg state tracker for Gallium3D. This is not required for OpenGL acceleration in X.</flag>
<flag name='xvmc'>Enable the XvMC acceleration interface for the Gallium3D Video Layer.</flag>
</use>
</pkgmetadata>
View
1  profiles/funtoo/1.0/linux-gnu/mix-ins/X/make.defaults
@@ -1,3 +1,2 @@
USE="X udev dbus" # desktop gui frameworks
USE="$USE dri" # desktop hardware support
-USE="$USE xa" # mesa wants this
View
4 profiles/package.mask/funtoo-staging
@@ -1,6 +1,10 @@
# Keep the most recent masks in a reverse chrono order
# newest on top
+# Daniel Robbins (26 Jan 2013)
+# FL-373: bug fix release - needs some minimal testing
+=media-libs/mesa-9.0.2
+
# Oleg Vinichenko (5 Nov 2012)
# FL-213: avx fixes to glibc, test mask
>=sys-libs/glibc-2.15-r4
Please sign in to comment.
Something went wrong with that request. Please try again.